using CandidateReviewContracts.BindingModels;
using CandidateReviewContracts.SearchModels;
using CandidateReviewContracts.ViewModels;

namespace CandidateReviewContracts.BusinessLogicsContracts
{
    public interface IAssessmentCriterionLogic
    {
        List<AssessmentCriterionViewModel>? ReadList(AssessmentCriterionSearchModel? model);
        AssessmentCriterionViewModel? ReadElement(AssessmentCriterionSearchModel model);
        bool Create(AssessmentCriterionModel model);
        bool Update(AssessmentCriterionModel model);
        bool Delete(AssessmentCriterionModel model);
    }
}
